Get Lineage Summary
GET
/v1/portal/lineage/summary
const url = 'https://example.com/v1/portal/lineage/summary?limit=10&tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/lineage/summary?limit=10&tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalGraphSummaryOut
object
overview
required
PortalGraphOverviewOut
object
tenant_id
required
Tenant Id
string
graph_name
required
Graph Name
string
node_count
Node Count
integer
edge_count
Edge Count
integer
entity_kinds
Entity Kinds
object
key
additional properties
integer
relationship_types
Relationship Types
object
key
additional properties
integer
group_binding_summary
PortalGraphCountMapOut
object
items
Items
object
key
additional properties
integer
lineage_summary
PortalGraphCountMapOut
object
items
Items
object
key
additional properties
integer
proposal_impact_summary
PortalGraphCountMapOut
object
items
Items
object
key
additional properties
integer
evidence_summary
PortalGraphCountMapOut
object
items
Items
object
key
additional properties
integer
package_registry_summary
PortalGraphCountMapOut
object
items
Items
object
key
additional properties
integer
design_summary
PortalGraphCountMapOut
object
items
Items
object
key
additional properties
integer
creative_summary
PortalGraphCountMapOut
object
items
Items
object
key
additional properties
integer
group_bindings
Group Bindings
Array<object>
PortalGraphGroupBindingOutobject
group_urn
required
Group Urn
string
group_path
Group Path
string
projects
Projects
Array<string>
repos
Repos
Array<string>
catalog
Catalog
Array<string>
workspaces
Workspaces
Array<string>
datasets
Datasets
Array<string>
stacks
Stacks
Array<string>
secrets
Secrets
Array<string>
packages
Packages
Array<string>
service_cells
Service Cells
Array<string>
design_chipsets
Design Chipsets
Array<string>
project_bindings
Project Bindings
Array<object>
PortalGraphProjectBindingOutobject
project_urn
required
Project Urn
string
project_slug
Project Slug
string
repos
Repos
Array<string>
catalog
Catalog
Array<string>
workspaces
Workspaces
Array<string>
groups
Groups
Array<string>
datasets
Datasets
Array<string>
stacks
Stacks
Array<string>
secrets
Secrets
Array<string>
packages
Packages
Array<string>
design_projects
Design Projects
Array<string>
design_libraries
Design Libraries
Array<string>
design_files
Design Files
Array<string>
service_cells
Service Cells
Array<string>
deliverables
Deliverables
Array<string>
design_chipsets
Design Chipsets
Array<string>
template_bindings
Template Bindings
Array<object>
PortalGraphTemplateBindingOutobject
template_urn
required
Template Urn
string
template_id
Template Id
string
projects
Projects
Array<string>
proposal_impacts
Proposal Impacts
Array<object>
PortalGraphProposalImpactOutobject
proposal_key
required
Proposal Key
string
status
Status
string
next_action
Next Action
string
affected_assets
Affected Assets
Array<string>
affected_groups
Affected Groups
Array<string>
affected_datasets
Affected Datasets
Array<string>
approval_boundary_groups
Approval Boundary Groups
Array<string>
review_url
Review Url
string
evidence_url
Evidence Url
string
deliverable_reviews
Deliverable Reviews
Array<object>
PortalGraphDeliverableReviewOutobject
deliverable_urn
required
Deliverable Urn
string
review_status
Review Status
string
next_action
Next Action
string
review_due_at
Review Due At
string
reviewer_group_paths
Reviewer Group Paths
Array<string>
reviewer_subject_keys
Reviewer Subject Keys
Array<string>
Example
{ "overview": { "node_count": 0, "edge_count": 0 }, "group_bindings": [ { "group_path": "" } ], "project_bindings": [ { "project_slug": "" } ], "template_bindings": [ { "template_id": "" } ], "proposal_impacts": [ { "status": "", "next_action": "", "review_url": "", "evidence_url": "" } ], "deliverable_reviews": [ { "review_status": "", "next_action": "", "review_due_at": "" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}